cmake_minimum_required(VERSION 3.20)
project(am_i_up_ui)

find_package(ament_cmake REQUIRED)

add_custom_target(build ALL)
add_custom_command(TARGET build
                   POST_BUILD
                   COMMAND yarn build --emptyOutDir --outDir ${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME}/dist
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)

ament_package()
